<?php
/**
 *
 * @author  ahrasis http://smf.ahrasis.com
 * @license BSD http://opensource.org/licenses/BSD-3-Clause
 * @mod     PHP Information Mod
 *
 */

if (!defined('SMF')) 
	die('Hacking attempt...');

function trim_phpInfo()
{
	global $context, $settings, $txt;
	$context['page_title'] = $txt['phpInfo'];
	$context['html_headers'] .= '
	<link rel="stylesheet" type="text/css" href="' . $settings['default_theme_url']. '/css/phpInfo.css?fin20" />';
	// Load language(s)
	loadLanguage('phpInfo');
	loadTemplate('phpInfo');
	ob_start();
	phpinfo();
	$info_arr = array();
	$info_lines = explode("\n", strip_tags(ob_get_clean(), "<tr><td><h2>"));
	$cat = $txt['phpInfo_main'];
	foreach($info_lines as $line) {
		// new cat?
		preg_match("~<h2>(.*)</h2>~", $line, $title) ? $cat = $title[1] : null;
		if(preg_match("~<tr><td[^>]+>([^<]*)</td><td[^>]+>([^<]*)</td></tr>~", $line, $val)) {
			$info_arr[$cat][$val[1]] = $val[2];
		} elseif(preg_match("~<tr><td[^>]+>([^<]*)</td><td[^>]+>([^<]*)</td><td[^>]+>([^<]*)</td></tr>~", $line, $val)) {
			$info_arr[$cat][$val[1]] = array("local" => $val[2], "master" => $val[3]);
		}
	}
	return $info_arr;
}

function get_phpInfo($my_array)
{
	if (is_array($my_array)) {
		echo '<div class="phpInfo">';
		foreach ($my_array as $k => $v) {
				echo '<ul class="phpInfo"><li class="phpInfo1">';
				echo '<strong>' . $k . '</strong></li><li class="phpInfo2">';
				get_phpInfo($v);
				echo "</li></ul>";
		}
		echo '</div><br />';
		return;
	}
	echo $my_array;
}

?>