<?php
/**
 *
 * @author  ahrasis http://smf.ahrasis.com
 * @license BSD http://opensource.org/licenses/BSD-3-Clause
 * @mod     PHP Information Mod
 *
 */

if (!defined('SMF')) 
	die('Hacking attempt...');

function phpInfo_menu(&$admin_areas)
{
	global $txt;
	// Load language(s)
	loadLanguage('phpInfo');
	// Create Menu
	$phpInfo = array(
		'phpInfo' => array (
			'label' => $txt['phpInfo'],
			'file' => 'phpInfo.php',
			'function' => 'trim_phpInfo',
			'permission' => 'admin_forum',
			'icon' => 'features.gif',
		),
	);
	// Then we make two pieces, and insert ours in between the two.
	$first = array_slice($admin_areas['forum']['areas'], 0, 1);
	$second = array_slice($admin_areas['forum']['areas'], 1);
	$admin_areas['forum']['areas'] = array_merge($first, $phpInfo, $second);
}

?>